---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: prometheus-websecure-route
  namespace: monitoring
spec:
  entryPoints:
    - websecure
  routes:
  - match: (Host(`prometheus.dezendorf.net`)||Host(`prometheusr.dezendorf.net`))
    kind: Rule
    services:
    - name: prometheus-operated
      port: 9090
  tls:
    certResolver: myresolver
---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: grafana-websecure-route
  namespace: monitoring
spec:
  entryPoints:
    - websecure
  routes:
  - match: (Host(`grafana.dezendorf.net`)||Host(`grafanar.dezendorf.net`))
    kind: Rule
    services:
    - name: prometheus-grafana
      port: 80
  tls:
    certResolver: myresolver
---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: alertmanager-web-route
  namespace: monitoring
spec:
  entryPoints:
    - web
  routes:
  - match: (Host(`alertmanager.dezendorf.net`)||Host(`alertmanagerr.dezendorf.net`))
    kind: Rule
    middlewares:
    - name: redirecthttps
    services:
    - name: alertmanager-operated
      port: 8080
---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: logs-websecure-route
  namespace: default
spec:
  entryPoints:
    - websecure
  routes:
  - match: (Host(`logs.dezendorf.net`)||Host(`logsr.dezendorf.net`))
    kind: Rule
    services:
    - name: loki
      port: 3100
  tls:
    certResolver: myresolver
---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: logs-ingress-route
  namespace: default
spec:
  entryPoints:
    - web
  routes:
  - match: (Host(`logs.dezendorf.net`)||Host(`logsr.dezendorf.net`))
    kind: Rule
    middlewares:
    - name: redirecthttps
    services:
    - name: loki
      port: 3100
